use crate::ShipBehavior;
use galactica_content as content;
use galactica_physics::{Physics, ShipHandle};

pub struct Dummy {
	_handle: ShipHandle,
}

impl Dummy {
	pub fn new(handle: ShipHandle) -> Box<Self> {
		Box::new(Self { _handle: handle })
	}
}

impl ShipBehavior for Dummy {
	fn update_controls(&mut self, _physics: &mut Physics, _content: &content::Content) {}
	fn get_handle(&self) -> ShipHandle {
		return self._handle;
	}
}
